package org.springblade.deployment.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 表信息返回实体
 * @date 2023/12/5 10:31
 */
@Data
@ApiModel(value = "TableInfoDto",description = "表信息返回实体")
public class TableInfoDto implements Serializable {

    @ApiModelProperty("表名")
    private String tableName;

    @ApiModelProperty("表主食")
    private String tableComment;

    @ApiModelProperty("表行数")
    private Integer tableRows;

    @ApiModelProperty("表大小")
    private Double dataMb;

}
