package org.springblade.deployment.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.core.secure.BladeUser;
import org.springblade.deployment.entity.UpgradeProject;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface UpgradeProjectService extends IService<UpgradeProject> {

    String upgradeProject(MultipartFile file, UpgradeProject upgradeProject);

    List<String> history(String model);

    String rollbackProject(String model, String version, String envModel, BladeUser user);
}
