package org.springblade.deployment.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/12/13 11:14
 */
@Data
@ApiModel(value = "SqlBackupRecordVo",description = "查询sql文件列表的实体")
public class SqlBackupRecordVo {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("文件路径")
    private String filePath;

    @ApiModelProperty("文件大小")
    private Long fileSize;

    @ApiModelProperty("备份时间-开始")
    private String backupTimeStart;

    @ApiModelProperty("备份时间-结束")
    private String backupTimeEnd;

    @ApiModelProperty("数据来源：0:备份/1:上传")
    private Integer dataSource;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("恢复状态,0:未恢复/1:恢复")
    private Integer restoreStatus;

    @ApiModelProperty("恢复时间-开始")
    private String restoreTimeStart;

    @ApiModelProperty("恢复时间-结束")
    private String restoreTimeEnd;
}
