package org.springblade.deployment.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.deployment.dto.TableInfoDto;
import org.springblade.deployment.entity.SqlBackupRecord;

import java.util.List;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/12/4 14:55
 */
public interface SqlBackupRecordService extends IService<SqlBackupRecord> {

    /**
     * 备份sql
     */
    void backupSql(String tableNames, Integer backupType,String remark,String fileName);

    /**
     * 查询表信息
     */
    List<TableInfoDto> getTableList(String tableName);

    /**
     * 恢复sql
     */
    Boolean restore(List<Integer> ids);
}
