//package org.springblade.deployment.utils;
//
//import cn.hutool.core.util.StrUtil;
//import lombok.extern.slf4j.Slf4j;
//
//import java.io.*;
//import java.util.ArrayList;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//
//@Slf4j
//public class BashUtils {
//
//    public static final Integer SUCCESS_CODE = 0;
//
//    /**
//     * 执行命令
//     *
//     * @param command
//     * @return
//     * @throws IOException
//     * @throws InterruptedException
//     */
//    public static Map<String,String> execCommand(String command, String dir) throws IOException, InterruptedException {
//        Map<String,String> map = new HashMap<>();
//        String[] commands = command.split(" ");
//        List<String> commandList = new ArrayList<>(commands.length);
//        for (String s : commands) {
//            if (StrUtil.isBlank(s)) {
//                continue;
//            }
//            commandList.add(s);
//        }
//        commands = new String[commandList.size()];
//        commands = commandList.toArray(commands);
//        ProcessBuilder processBuilder = new ProcessBuilder(commands);
//        if (StrUtil.isNotBlank(dir)) {
//            processBuilder.directory(new File(dir));
//        }
//        log.info("开始执行命令: {} ", command);
//        Process exec = processBuilder.start();
//        // 获取外部程序标准输出流
//        String result = getMsg(exec.getInputStream());
//        // 获取外部程序标准错误流
//        String error = getMsg(exec.getErrorStream());
//        int code = exec.waitFor();
//        log.info("命令: {} 执行结果: {}", command, code);
//        if (StrUtil.isNotBlank(result)){
//           map.put("msg",result);
//        } else if (StrUtil.isNotBlank(error)) {
//            map.put("error",error);
//        }
//        if (StrUtil.isBlank(result) && StrUtil.isBlank(error)){
//            map.put("msg","");
//        }
//        return map;
//    }
//
//    private static String getMsg(InputStream inputStream) throws IOException {
//        StringBuffer msg = new StringBuffer("");
//        BufferedReader bufr = new BufferedReader(new InputStreamReader(inputStream));
//        String line;
//        while ((line = bufr.readLine()) != null) {
//            msg = msg.append(line).append(" ");
//        }
//        return msg.toString();
//    }
//
//}
